function handleSubmit(event) {
  event.preventDefault();
  
  const url = document.getElementById('urlInput').value;
  const password = document.getElementById('passwordInput').value;
  const errorElement = document.getElementById('errorMessage');
  
  // Clear previous error messages
  errorElement.textContent = '';
  
  // Validate URL
  try {
    new URL(url);
  } catch (e) {
    errorElement.textContent = 'Please enter a valid URL';
    return false;
  }
  
  // Check password
  if (password !== 'xiaoiec123456') {
    errorElement.textContent = 'Incorrect password';
    return false;
  }
  
  // Here you would typically make the proxy request
  // For demonstration, we'll just redirect to the URL
  // In a real implementation, this would go through your proxy server
  try {
    window.location.href = `/proxy?url=${encodeURIComponent(url)}`;
  } catch (e) {
    errorElement.textContent = 'An error occurred. Please try again.';
    return false;
  }
  
  return false;
}

// Add input validation and formatting
document.getElementById('urlInput').addEventListener('input', function(e) {
  if (!e.target.value.startsWith('http')) {
    e.target.value = 'https://' + e.target.value;
  }
});

// Add loading state to button
document.querySelector('.visit-btn').addEventListener('click', function(e) {
  if (document.getElementById('proxyForm').checkValidity()) {
    this.classList.add('loading');
  }
});